API ReferenceapiidentityGET /v1/users/me/mfa

GET /v1/users/me/mfa

Service: identity · operationId: (none)

Required scopes

(no scope declared — review service config)

Responses

200 MFA methods

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "type": {
            "type": "string",
            "enum": [
              "totp",
              "passkey",
              "sms"
            ]
          },
          "label": {
            "type": "string"
          },
          "confirmed": {
            "type": "boolean"
          },
          "last_used_at": {
            "type": [
              "string",
              "null"
            ]
          },
          "created_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "type",
          "label",
          "confirmed",
          "last_used_at",
          "created_at"
        ]
      }
    }
  },
  "required": [
    "data"
  ]
}

Example

curl -X GET https://identity.platform.loop.health/v1/users/me/mfa \
  -H "Authorization: Bearer $ACCESS_TOKEN"